<div id="body" class="container-fluid">
  <div class="row">
    <div class="col-24">
      <div class="row">
        <div class="col-md-6">
          <h6 class="mb-3">SprintLink</h6>
        </div>
        <div class="col-md-6 offset-md-12">
          <div class="text-right">
            <a target="_blank" rel="noopener noreferrer" href="http://webcontoo.corp.sprint.com/webcontoo/llisapi.dll/fetch/2000/1835597/1836298/14404/106652/106324/107866/106767/6074490/0069796_Sprintlink_Events_in_Comprehensive_Order_Workflow_System_COWS__%282%29.pdf?nodeid=6450694&vernum=-2">SprintLink Event Job Aid for IPMs/Members</a>
          </div>
        </div>
      </div>
      <h6 class="text-danger" *ngIf="isLocked">This event is currently locked by {{ lockedByUser }}</h6>
      <form [formGroup]="form" novalidate>
        <div class="form-row text-center">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
          <!--<div class="form-group form-group-sm col-12 col-md-6 col-lg-4" *ngIf="!isLocked && allowEdit">
        <div *ngIf="!showEditButton; then saveTemplate; else editTemplate;"></div>
        <ng-template #editTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="edit()">
            Edit Event
          </button>
        </ng-template>
        <ng-template #saveTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="save()" [disabled]="form.invalid">
            Save
          </button>
        </ng-template>
      </div>-->
        </div>
        <br />
        <fieldset [disabled]="showEditButton">
          <div class="form-row">
            <div class="form-group form-group-sm row col-24">
              <label class="col-form-label col-24 col-lg-4">Item Title</label>
              <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                <input type="text" class="form-control form-control-sm" formControlName="itemTitle" />
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-lg-24">
              <label class="col-form-label col-24 col-lg-4">Event <span class="d-inline-block d-lg-none">Desc</span><span class="d-none d-lg-inline-block">Description</span></label>
              <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                <input type="text" class="form-control form-control-sm" formControlName="eventDescription" />
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-8">Event ID</label>
              <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                <input type="text" class="form-control form-control-sm" formControlName="eventID" />
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-8">Event Status</label>
              <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                <dx-select-box [items]="eventStatusList"
                               displayExpr="description"
                               valueExpr="value"
                               placeholder=""
                               formControlName="eventStatus"></dx-select-box>
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-8">M5 #</label>
              <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                <div class="input-group">
                  <input type="text" class="form-control form-control-sm" formControlName="m5_no" />
                  <app-lookup-m5 [group]="form" [option]="option.lookup_m5" [eventType]="eventType"></app-lookup-m5>
                </div>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-8">CharsID</label>
              <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                <input type="text" class="form-control form-control-sm" formControlName="charsID" />
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-8 text-danger">H1</label>
              <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                <input type="text" class="form-control form-control-sm" formControlName="h1" maxlength="9" minlength="9" />
                <div *ngIf="h1.invalid && (h1.dirty || h1.touched || isSubmitted)">
                  <span *ngIf="h1.errors.required" class="form-text text-danger"> H1 is required </span>
                  <div *ngIf="h1.errors.minlength" class="form-text text-danger"> H1 must be at least 9 digit long </div>
                </div>
              </div>
            </div>
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-8">H6</label>
              <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                <input type="text" class="form-control form-control-sm" formControlName="h6" />
              </div>
            </div>
          </div>
          <app-customer-template [group]="form.controls.customer" [option]="option.customer" [isSubmitted]="isSubmitted"></app-customer-template>
          <app-requestor-template [group]="form.controls.requestor" [option]="option.requestor" [isSubmitted]="isSubmitted"></app-requestor-template>
          <app-sales-template [group]="form.controls.sales" [option]="option.sales" [isSubmitted]="isSubmitted"></app-sales-template>

          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="mb-2">
              <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                <mat-panel-title><h6>Design</h6></mat-panel-title>
              </mat-expansion-panel-header>
              <div formGroupName="design">
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-xxl-12">
                    <label class="col-form-label col-24 col-lg-4 col-xxl-8">Published Email CC</label>
                    <div class="col-24 col-lg-20 col-xl-12 col-xxl-16 pl-0 pl-lg-3">
                      <div class="input-group">
                        <input type="text" class="form-control form-control-sm" formControlName="publishedEmailCC" />
                        <app-user-finder id="published-email" [group]="form.controls.design" [option]="option.design.userFinderForPublishedEmail"></app-user-finder>
                        <div *ngIf="publishedEmailCC.invalid && (publishedEmailCC.dirty || publishedEmailCC.touched || isSubmitted)">
                          <span *ngIf="publishedEmailCC.errors.invalidEmail" class="form-text text-danger">
                            Published Email CC is invalid
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24 col-lg-24 col-xxl-12">
                    <label class="col-form-label col-24 col-lg-4 col-xxl-8">Completed Email CC</label>
                    <div class="col-24 col-lg-20 col-xl-12 col-12 col-xxl-16 pl-0 pl-lg-3">
                      <div class="input-group">
                        <input type="text" class="form-control form-control-sm" formControlName="completeEmailCC" />
                        <app-user-finder id="complete-email" [group]="form.controls.design" [option]="option.design.userFinderForCompleteEmail"></app-user-finder>
                        <div *ngIf="completeEmailCC.invalid && (completeEmailCC.dirty || completeEmailCC.touched || isSubmitted)">
                          <span *ngIf="completeEmailCC.errors.invalidEmail" class="form-text text-danger">
                            Completed Email CC is invalid
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </div>
            </mat-expansion-panel>
          </mat-accordion>

          <mat-accordion>
            <mat-expansion-panel [expanded]="true" class="mb-2">
              <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                <mat-panel-title><h6>Event</h6></mat-panel-title>
              </mat-expansion-panel-header>
              <div formGroupName="event">
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">Description and Comments</label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                      <textarea class="form-control form-control-sm" formControlName="comments" rows="5"></textarea>
                      <div *ngIf="comments.invalid && (comments.dirty || comments.touched || isSubmitted)">
                        <span *ngIf="comments.errors.required" class="form-text text-danger">
                          Description and Comments is required
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">SprintLink Event Type</label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                      <dx-select-box [items]="splkEventTypeList"
                                     displayExpr="description"
                                     valueExpr="value"
                                     placeholder=""
                                     formControlName="splkEventType"></dx-select-box>
                      <div *ngIf="splkEventType.invalid && (splkEventType.dirty || splkEventType.touched || isSubmitted)">
                        <span *ngIf="splkEventType.errors.required" class="form-text text-danger">
                          SprintLink Event Type is required
                        </span>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">SprintLink Activity Type</label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                      <dx-select-box [items]="splkActivityTypeList"
                                     displayExpr="text"
                                     valueExpr="value"
                                     placeholder=""
                                     formControlName="splkActivityType"></dx-select-box>
                      <div *ngIf="splkActivityType.invalid && (splkEventType.dirty || splkActivityType.touched || isSubmitted)">
                        <span *ngIf="splkActivityType.errors.required" class="form-text text-danger">
                          SprintLink Activity Type is required
                        </span>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">IP Version</label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                      <dx-select-box [items]="ipVersionList"
                                     displayExpr="text"
                                     valueExpr="value"
                                     placeholder=""
                                     formControlName="ipVersion"></dx-select-box>
                      <div *ngIf="ipVersion.invalid && (ipVersion.dirty || ipVersion.touched || isSubmitted)">
                        <span *ngIf="ipVersion.errors.required" class="form-text text-danger">
                          IP Version is required
                        </span>
                      </div>
                      <div class="mt-2">
                        <dx-check-box formControlName="mdsManaged" text="MDS Managed">
                        </dx-check-box>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <!--<label class="col-form-label col-24 col-lg-4">Multi VRF Requirements</label>-->
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3">

                    </div>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group form-group-sm row col-24">
                    <label class="col-form-label col-24 col-lg-4 text-danger">Related Compass NCR</label>
                    <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                      <div class="form-group form-group-sm row">
                        <div class="col-24 col-lg-6">
                          <dx-radio-group [items]="relatedCompassList" layout="horizontal"
                                          displayExpr="description" valueExpr="value"
                                          formControlName="relatedCompassNcr">
                          </dx-radio-group>
                          <div *ngIf="relatedCompassNcr.invalid && (relatedCompassNcr.dirty || relatedCompassNcr.touched || isSubmitted)">
                            <span *ngIf="relatedCompassNcr.errors.required" class="form-text text-danger">
                              Related Compass NCR is required
                            </span>
                          </div>
                        </div>
                        <div class="col-24 col-lg-18 pl-0 pl-lg-3">
                          <div *ngIf="form['controls'].event['controls'].relatedCompassNcr.value">
                            <input type="text" class="form-control form-control-sm" formControlName="relatedCompassNcrName" />
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

                <mat-accordion>
                  <mat-expansion-panel [expanded]="true" class="mb-2">
                    <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                      <mat-panel-title><h6>Access Table Tag</h6></mat-panel-title>
                    </mat-expansion-panel-header>
                    <div class="mb-3">
                      <!--keyExpr="mplsEventAccsTagId"-->
                      <dx-data-grid #tagGrid id="tagGrid" [dataSource]="splkEventAccessTagList"
                                    [wordWrapEnabled]="true" [rowAlternationEnabled]="true" [showBorders]="true"
                                    [columnAutoWidth]="true" (onRowInserting)="saveSplkTag($event)"
                                    (onContentReady)="tagGrid.instance.searchByText(tagGrid.searchPanel.text.trim())"
                                    [disabled]="showEditButton">
                        <dxo-sorting mode="multiple"></dxo-sorting>
                        <dxo-editing mode="row"
                                     [allowUpdating]="true"
                                     [allowDeleting]="true"
                                     [allowAdding]="true">
                        </dxo-editing>
                        <dxo-paging [pageSize]="50"></dxo-paging>
                        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
                        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
                        <!--<dxi-column type="buttons" [buttons]="['edit', 'delete']"></dxi-column>-->
                        <dxi-column dataField="oldPlNbr" caption="Old Private Line" dataType="string">
                          <dxi-validation-rule type="required"></dxi-validation-rule>
                        </dxi-column>
                        <dxi-column dataField="oldPortSpeedDes" caption="Old Port Speed" dataType="string">
                          <dxi-validation-rule type="required"></dxi-validation-rule>
                        </dxi-column>
                        <dxi-column dataField="newPlNbr" caption="New Private Line" dataType="string">
                          <dxi-validation-rule type="required"></dxi-validation-rule>
                        </dxi-column>
                        <dxi-column dataField="newPortSpeedDes" caption="New Port Speed" dataType="string">
                          <dxi-validation-rule type="required"></dxi-validation-rule>
                        </dxi-column>

                      </dx-data-grid>
                    </div>
                  </mat-expansion-panel>
                </mat-accordion>

                <app-escalation-template [group]="form.controls.event" [option]="option.event"></app-escalation-template>
              </div>
              <app-schedule-template [group]="form" [option]="option" [eventId]="id"
                                     [eventType]="eventTypeId" [slnkAccessTag]="splkEventAccessTagList"
                                     [isReviewer]="(profile == 'Reviewer' && !showEditButton) ? true : false">
              </app-schedule-template>
              <br />
              <div class="form-row">
                <div class="form-group form-group-sm row col-24 col-lg-12">
                  <label class="col-form-label col-24 col-lg-8">Workflow Status</label>
                  <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                    <dx-select-box [items]="workflowStatusList"
                                   displayExpr="wrkflwStusDes"
                                   valueExpr="wrkflwStusId"
                                   formControlName="workflowStatus"></dx-select-box>
                  </div>
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>

          <app-reviewer-template *ngIf="isReviewer && isRevActTask" [group]="form.controls.reviewer"
                                 [option]="option.reviewer" [isSubmitted]="isSubmitted"></app-reviewer-template>
          <app-activators-template *ngIf="isActivator && isRevActTask && !showEditButton" [group]="form.controls.activators"
                                   [option]="option.activator" [eventTypeId]="eventTypeId"></app-activators-template>
          <app-event-history-template *ngIf=" id > 0" [id]="id" [accordion]="true"></app-event-history-template>
        </fieldset>
        <br />
        <div class="form-row text-center">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
          <!--<div class="form-group form-group-sm col-12 col-md-6 col-lg-4" *ngIf="!isLocked && allowEdit">
        <div *ngIf="!showEditButton; then saveTemplate; else editTemplate;"></div>
        <ng-template #editTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="edit()">
            Edit Event
          </button>
        </ng-template>
        <ng-template #saveTemplate>
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="save()" [disabled]="form.invalid">
            Save
          </button>
        </ng-template>
      </div>-->
        </div>
      </form>
    </div>
      </div>
    </div>
